ChangeSet 1.1123.18.22, 2003/08/15 10:05:45-07:00, dhollis@davehollis.com

[PATCH] USB: usbnet.c - trailing 'else' that probably breaks net1080

A trailing else in the #ifdef CONFIG_USB_NET1080 block that would
prevent it from properly filling the bulk URB.


 drivers/usb/net/usbnet.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Fri Aug 15 10:44:01 2003
+++ b/drivers/usb/net/usbnet.c	Fri Aug 15 10:44:01 2003
@@ -2342,7 +2342,7 @@
 		if (!((skb->len + sizeof *trailer) & 0x01))
 			*skb_put (skb, 1) = PAD_BYTE;
 		trailer = (struct nc_trailer *) skb_put (skb, sizeof *trailer);
-	} else
+	} 
 #endif	/* CONFIG_USB_NET1080 */
 
 	usb_fill_bulk_urb (urb, dev->udev, dev->out,
